All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.propertyeditor
Interface EntityAttributeValueModelInterface

    @SASScope(value="ALL")
    public interface EntityAttributeValueModelInterface

This class defines the interface between the EntityAttributeValueSelectorAdapter and its underlying Entity model. These methods provide all of the functionality for the EntityAttributeValueSelectorAdapter.

Field Summary
`static int` | `BOOLEAN_SELECTION` Identifies a Boolean Editor
`static int` | `BOOLEAN_TYPE` Constant for a boolean SQL type
`static int` | `COLOR_STRING_TYPE` Constant for a Color Type defined with a name of "Color" and a String SQL type
`static int` | `DATE_SELECTION` Identifies a Date Editor
`static int` | `DATE_TYPE` Constant for a Date SQL type
`static int` | `DOUBLE_TYPE` Constant for a double SQL type
`static int` | `FLOAT_TYPE` Constant for a float SQL type
`static int` | `INT_TYPE` Constant for an int SQL type
`static java.lang.String` | `JSP_MULTI_VALUE_LIST_DEFAULT_EDITOR` Default JSP Multiple-Value-Selection List Editor
`static java.lang.String` | `JSP_SINGLE_VALUE_LIST_DEFAULT_EDITOR` Default JSP Single-Value-Selection List Editor
`static java.lang.String` | `JSP_TEXT_ENTRY_DEFAULT_EDITOR` Default JSP Text Entry Editor
`static int` | `MULTIPLE_LIST_SELECTION` Identifies a Multiple-Value-Selection List Editor
`static int` | `SINGLE_LIST_SELECTION` Identifies a Single-Value-Selection List Editor
`static int` | `STRING_TYPE` Constant for a String SQL type
`static java.lang.String` | `SUPPLEMENTAL_PROPERTY_DATA_ITEM` Constants for the data item of a BusinessQuery
`static java.lang.String` | `SUPPLEMENTAL_PROPERTY_FILTER_NAME` Constant for the filter name of a BusinessQuery
`static java.lang.String` | `SWING_BOOLEAN_DEFAULT_EDITOR` Default Swing Boolean Editor
`static java.lang.String` | `SWING_DATE_DEFAULT_EDITOR` Default Swing Date Editor
`static java.lang.String` | `SWING_MULTI_VALUE_LIST_DEFAULT_EDITOR` Default Swing Multiple-Value-Selection List Editor
`static java.lang.String` | `SWING_SINGLE_VALUE_LIST_DEFAULT_EDITOR` Default Swing Single-Value-Selection List Editor
`static java.lang.String` | `SWING_TEXT_ENTRY_DEFAULT_EDITOR` Default Swing Text Entry Editor
`static int` | `TEXT_ENTRY` Identifies a Text Entry Editor
`static int` | `TIME_TYPE` Constant for a Time SQL type
`static int` | `TIMESTAMP_TYPE` Constant for a Timestamp SQL type
`static int` | `UNKNOWN_TYPE` Constant for an unknown SQL type

Method Summary
`abstract void` | `cancel()` Cancels all property value changes.
`abstract void` | `commitChanges()` Commits the property value changes to the Entity model.
`abstract java.lang.Object` | `getApplicationData()` Used to retrieve application specific data.
`abstract AttributeDescriptorInterface` | `getAttributeDescriptor(java.lang.String propertyName)` Returns an instance of the AttributeDescriptor referenced by the parameter, propertyName
`abstract java.util.List` | `getAvailableValues(java.lang.String propertyName)` Returns a list of one or more values that function as values that can be assigned to the property.
`abstract java.lang.String` | `getEditor(java.lang.String propertyName, java.lang.String context)` Returns the editor associated with the property, propertyName, and context, context.
`abstract java.lang.String` | `getEditorInstructionText(java.lang.String propertyName)` Returns text that is displayed in a property sheet to assist the user in entering a valid value for the property.
`abstract java.util.Map` | `getProperties(java.util.Locale locale)` Returns a map of property names and labels using the locale speficied in locale.
`abstract java.util.List` | `getSelectedValues(java.lang.String propertyName)` Returns a list of one or more values that are the last valid values assigned to the property.
`abstract java.util.Map` | `getSupplementalProperties(java.lang.String propertyName)` Returns the supplemental properties associated with the property.
`abstract int` | `getType(java.lang.String propertyName)` Returns a value that corresponds to the SQL data type of the property.
`abstract boolean` | `isRequired(java.lang.String propertyName)` Returns true if a non-null or non-emptyString value is required for the property.
`abstract void` | `setApplicationData(java.lang.Object data)` Used to store application specific data.
`abstract void` | `setEditorInstructionText(java.util.Map editorInformationText)` Set the text that is displayed in a property sheet to assist the user in entering valid values for properties.
`abstract void` | `setValue(java.lang.String propertyName, java.lang.Object value)` Sets the value of a property.
`abstract boolean` | `validateValue(java.lang.Object value, java.lang.String propertyName, boolean throwException)` Returns a boolean indicating whether the value is valid for the property.

Field Detail

### TEXT_ENTRY

    static final int TEXT_ENTRY

  Identifies a Text Entry Editor

  See Also:
    Constant Field Values

### SINGLE_LIST_SELECTION

    static final int SINGLE_LIST_SELECTION

  Identifies a Single-Value-Selection List Editor

  See Also:
    Constant Field Values

### MULTIPLE_LIST_SELECTION

    static final int MULTIPLE_LIST_SELECTION

  Identifies a Multiple-Value-Selection List Editor

  See Also:
    Constant Field Values

### BOOLEAN_SELECTION

    static final int BOOLEAN_SELECTION

  Identifies a Boolean Editor

  See Also:
    Constant Field Values

### DATE_SELECTION

    static final int DATE_SELECTION

  Identifies a Date Editor

  See Also:
    Constant Field Values

### SUPPLEMENTAL_PROPERTY_FILTER_NAME

    static final java.lang.String SUPPLEMENTAL_PROPERTY_FILTER_NAME

  Constant for the filter name of a BusinessQuery

  See Also:
    Constant Field Values

### SUPPLEMENTAL_PROPERTY_DATA_ITEM

    static final java.lang.String SUPPLEMENTAL_PROPERTY_DATA_ITEM

  Constants for the data item of a BusinessQuery

  See Also:
    Constant Field Values

### STRING_TYPE

    static final int STRING_TYPE

  Constant for a String SQL type

  See Also:
    Constant Field Values

### INT_TYPE

    static final int INT_TYPE

  Constant for an int SQL type

  See Also:
    Constant Field Values

### DOUBLE_TYPE

    static final int DOUBLE_TYPE

  Constant for a double SQL type

  See Also:
    Constant Field Values

### FLOAT_TYPE

    static final int FLOAT_TYPE

  Constant for a float SQL type

  See Also:
    Constant Field Values

### BOOLEAN_TYPE

    static final int BOOLEAN_TYPE

  Constant for a boolean SQL type

  See Also:
    Constant Field Values

### DATE_TYPE

    static final int DATE_TYPE

  Constant for a Date SQL type

  See Also:
    Constant Field Values

### COLOR_STRING_TYPE

    static final int COLOR_STRING_TYPE

  Constant for a Color Type defined with a name of "Color" and a String SQL type

  See Also:
    Constant Field Values

### TIME_TYPE

    static final int TIME_TYPE

  Constant for a Time SQL type

  See Also:
    Constant Field Values

### TIMESTAMP_TYPE

    static final int TIMESTAMP_TYPE

  Constant for a Timestamp SQL type

  See Also:
    Constant Field Values

### UNKNOWN_TYPE

    static final int UNKNOWN_TYPE

  Constant for an unknown SQL type

  See Also:
    Constant Field Values

### JSP_TEXT_ENTRY_DEFAULT_EDITOR

    static final java.lang.String JSP_TEXT_ENTRY_DEFAULT_EDITOR

  Default JSP Text Entry Editor

  See Also:
    Constant Field Values

### JSP_SINGLE_VALUE_LIST_DEFAULT_EDITOR

    static final java.lang.String JSP_SINGLE_VALUE_LIST_DEFAULT_EDITOR

  Default JSP Single-Value-Selection List Editor

  See Also:
    Constant Field Values

### JSP_MULTI_VALUE_LIST_DEFAULT_EDITOR

    static final java.lang.String JSP_MULTI_VALUE_LIST_DEFAULT_EDITOR

  Default JSP Multiple-Value-Selection List Editor

  See Also:
    Constant Field Values

### SWING_TEXT_ENTRY_DEFAULT_EDITOR

    static final java.lang.String SWING_TEXT_ENTRY_DEFAULT_EDITOR

  Default Swing Text Entry Editor

  See Also:
    Constant Field Values

### SWING_SINGLE_VALUE_LIST_DEFAULT_EDITOR

    static final java.lang.String SWING_SINGLE_VALUE_LIST_DEFAULT_EDITOR

  Default Swing Single-Value-Selection List Editor

  See Also:
    Constant Field Values

### SWING_MULTI_VALUE_LIST_DEFAULT_EDITOR

    static final java.lang.String SWING_MULTI_VALUE_LIST_DEFAULT_EDITOR

  Default Swing Multiple-Value-Selection List Editor

  See Also:
    Constant Field Values

### SWING_BOOLEAN_DEFAULT_EDITOR

    static final java.lang.String SWING_BOOLEAN_DEFAULT_EDITOR

  Default Swing Boolean Editor

  See Also:
    Constant Field Values

### SWING_DATE_DEFAULT_EDITOR

    static final java.lang.String SWING_DATE_DEFAULT_EDITOR

  Default Swing Date Editor

  See Also:
    Constant Field Values

Method Detail

### getProperties

    java.util.Map getProperties(java.util.Locale locale)

  Returns a map of property names and labels using the locale speficied in locale.

  Parameters:
    `locale` - the locale with which the label is associated. This parameter may be null.
  Returns:
    map of property names and labels

### setValue

    void setValue(java.lang.String propertyName,
                  java.lang.Object value)

  Sets the value of a property.

  Parameters:
    `propertyName` - name of the property
    `value` - value of the property

### getAvailableValues

    java.util.List getAvailableValues(java.lang.String propertyName)

  Returns a list of one or more values that function as values that can be assigned to the property.

  Parameters:
    `propertyName` - name of the property
  Returns:
    list of values

### commitChanges

    void commitChanges()

  Commits the property value changes to the Entity model.

### cancel

    void cancel()

  Cancels all property value changes.

### getSelectedValues

    java.util.List getSelectedValues(java.lang.String propertyName)

  Returns a list of one or more values that are the last valid values assigned to the property.

  Parameters:
    `propertyName` - name of the property
  Returns:
    list of values

### getEditor

    java.lang.String getEditor(java.lang.String propertyName,
                               java.lang.String context)

  Returns the editor associated with the property, propertyName, and context, context.

  Parameters:
    `propertyName` - name of the property
    `context` - the context in which the editor is instantiated/used; it is a platform specification from `EntityContextInterface`
  Returns:
    editor class name

### getSupplementalProperties

    java.util.Map getSupplementalProperties(java.lang.String propertyName)

  Returns the supplemental properties associated with the property.

  Parameters:
    `propertyName` - name of the property
  Returns:
    map of supplemental property name and value

### getEditorInstructionText

    java.lang.String getEditorInstructionText(java.lang.String propertyName)

  Returns text that is displayed in a property sheet to assist the user in entering a valid value for the property.

  Parameters:
    `propertyName` - name of the property
  Returns:
    instructional text to be displayed in a property sheet

### setEditorInstructionText

    void setEditorInstructionText(java.util.Map editorInformationText)

  Set the text that is displayed in a property sheet to assist the user in entering valid values for properties.

  Parameters:
    `editorInformationText` - map of sql data type and corresponding text

### setApplicationData

    void setApplicationData(java.lang.Object data)

  Used to store application specific data.

  Parameters:
    `data` - to be stored with this object for application use

### getApplicationData

    java.lang.Object getApplicationData()

  Used to retrieve application specific data.

  Returns:
    the user specific data

### getType

    int getType(java.lang.String propertyName)

  Returns a value that corresponds to the SQL data type of the property.

  Parameters:
    `propertyName` - name of the property
  Returns:
    int constant that corresponds to the SQL data type of the property

### getAttributeDescriptor

    AttributeDescriptorInterface getAttributeDescriptor(java.lang.String propertyName)

  Returns an instance of the AttributeDescriptor referenced by the parameter, propertyName

  Parameters:
    `propertyName` - name of the AttributeDescriptor
  Returns:
    instance of AttributeDescriptorInterface

### validateValue

    boolean validateValue(java.lang.Object value,
                          java.lang.String propertyName,
                          boolean throwException)

  Returns a boolean indicating whether the value is valid for the property.

  Parameters:
    `value` - value to be validated (may be a single Object or a list of Objects)
    `propertyName` - name of the property
    `throwException` - indicates whether to throw an exception if the value is not valid
  Returns:
    true if the value is valid; false otherwise
  Throws:
    `java.lang.IllegalArgumentException` - if throwException is true and an error occurs

### isRequired

    boolean isRequired(java.lang.String propertyName)

  Returns true if a non-null or non-emptyString value is required for the property.

  Parameters:
    `propertyName` - name of the property
  Returns:
    true if required; false otherwise

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.